> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Wake an agent

> Wake an agent, optionally with a note.



## OpenAPI

````yaml /openapi.json post /agents/{id}/events
openapi: 3.1.0
info:
  title: Artil API
  description: Give AI agents their own email inbox, SMS number and secret storage.
  version: 1.0.0
servers:
  - url: https://app.artil.dev/api
security:
  - token: []
paths:
  /agents/{id}/events:
    post:
      tags:
        - Events
      summary: Wake an agent
      description: Wake an agent, optionally with a note.
      operationId: wakeAgent
      parameters:
        - in: path
          name: id
          required: true
          description: The agent's id
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  maxLength: 2000
      responses:
        '201':
          description: The wake event
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
        default:
          $ref: '#/components/responses/Failure'
components:
  schemas:
    Event:
      oneOf:
        - type: object
          properties:
            id:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            type:
              type: string
              const: wake
            text:
              type:
                - string
                - 'null'
            createdAt:
              type: string
              format: date-time
          required:
            - id
            - type
            - text
            - createdAt
        - type: object
          properties:
            id:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            type:
              type: string
              const: message.received
            channel:
              type: string
              enum:
                - email
                - sms
            messageId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            createdAt:
              type: string
              format: date-time
          required:
            - id
            - type
            - channel
            - messageId
            - createdAt
  responses:
    Failure:
      description: The request failed; the error says why
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - invalid_input
                      - unauthorized
                      - forbidden
                      - plan_limit
                      - not_found
                      - conflict
                      - rate_limited
                      - internal
                      - unavailable
                  message:
                    type: string
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.